# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-feedcache
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define module feedcache

Name:           python-module-feedcache
Version:        1.3.1
Release:        alt1_4
Summary:        Wrapper for Mark Pilgrim's FeedParser module which caches feed content

Group:          Development/Python
License:        MIT
URL:            http://www.doughellmann.com/projects/feedcache/
Source0:        http://www.doughellmann.com/downloads/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-distribute
Source44: import.info


%description
A class to wrap Mark Pilgrim's FeedParser module so that parameters can be used
to cache the feed results locally instead of fetching the feed every time it is
requested. Uses both etag and modified times for caching. The cache is
parameterized to use different backend storage options.


%prep
%setup -q -n %{module}-%{version}

# Remove unnecessary shebangs to make rpmlint happy
for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem ; do
  %{__sed} -i.orig -e 1d feedcache/${file}.py
  touch -r feedcache/${file}.py.orig feedcache/${file}.py
  %{__rm} feedcache/${file}.py.orig
done


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE.txt README.txt
%{python_sitelibdir_noarch}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_4
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_3
- initial fc import

